=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  doxygen,
  libbz2-dev,
@@ -38,7 +38,7 @@
  python3-six,
  rsync,
  zlib1g-dev,
-Standards-Version: 4.1.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
