=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,8 @@
 		--with-tmpfiles-d=/etc/tmpfiles.d \
 		--enable-autobind \
 		--enable-cmocka \
-		--enable-icu
+		--enable-icu \
+		--enable-perl
 
 override_dh_auto_build:
 	(cd src/lib389 && python3 setup.py build)
