## 389-ds-base 1.4.1.6

=== debian/changelog ===
389-ds-base (1.4.1.6-4) unstable; urgency=medium

  * tests: Redirect stderr to stdout.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2019 01:37:39 +0300

389-ds-base (1.4.1.6-3) unstable; urgency=medium

  * control: Add openssl to python3-lib389 depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Sep 2019 07:32:27 +0300

389-ds-base (1.4.1.6-2) unstable; urgency=medium

  * Restore perl build partly, setup-ds is still needed for upgrades
    until Ubuntu 20.04 is released (for versions << 1.4.0.9).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Sep 2019 14:50:36 +0300

389-ds-base (1.4.1.6-1) unstable; urgency=medium

  * New upstream release.
  * control: Drop direct depends on python from 389-ds-base. (Closes:
    #936102)
  * Drop -legacy-tools and other obsolete scripts.
  * use-bash-instead-of-sh.diff, rename-online-scripts.diff, perl-use-
    move-instead-of-rename.diff: Dropped, obsolete.
  * rules: Fix dsconf/dscreate/dsctl/dsidm manpage section.
  * tests/setup: Migrate to dscreate.
  * control: Add libnss3-tools to python3-lib389 depends. (Closes: #920025)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Sep 2019 17:01:03 +0300
