=== debian/control ===
--- 
+++ 
@@ -106,13 +106,14 @@
 Pre-Depends: debconf (>= 0.5) | debconf-2.0
 Depends:
  389-ds-base-libs (= ${binary:Version}),
- 389-ds-base-legacy-tools (= ${binary:Version}),
  adduser,
  acl,
  ldap-utils,
- libperl4-corelibs-perl | perl (<< 5.12.3-7),
+ libmozilla-ldap-perl,
+ libnetaddr-ip-perl,
+ libsocket-getaddrinfo-perl,
  libsasl2-modules-gssapi-mit,
- python,
+ perl,
  python3-lib389,
  python3-selinux,
  python3-semanage,
@@ -121,6 +122,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  ${python3:Depends},
+Replaces: 389-ds-base-legacy-tools
 Description: 389 Directory Server suite - server
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -137,25 +139,11 @@
   * on-line, zero downtime update of schema, configuration, and
     in-tree Access Control Information.
 
-Package: 389-ds-base-legacy-tools
-Architecture: any
-Depends:
- libmozilla-ldap-perl,
- libnetaddr-ip-perl,
- libperl4-corelibs-perl | perl (<< 5.12.3-7),
- libsocket-getaddrinfo-perl,
- ${misc:Depends},
- ${shlibs:Depends},
-Conflicts: 389-ds-base (<< 1.4.0.20-1)
-Replaces: 389-ds-base (<< 1.4.0.20-1)
-Description: Legacy utilities for 389 Directory Server
- Legacy (and deprecated) utilities for 389 Directory Server. This includes
- the old account management and task scripts. These are deprecated in favour of
- the dscreate, dsctl, dsconf and dsidm tools.
-
 Package: python3-lib389
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ libnss3-tools,
+ openssl,
  python3-argcomplete,
  python3-dateutil,
  python3-ldap,
