=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-python,
  doxygen,
  libbz2-dev,
@@ -32,6 +32,7 @@
  python3-argcomplete,
  python3-argparse-manpage,
  python3-ldap,
+ python3-packaging,
  python3-selinux,
  python3-sepolicy,
  python3-setuptools,
@@ -147,6 +148,7 @@
  python3-argcomplete,
  python3-dateutil,
  python3-ldap,
+ python3-packaging,
  python3-pyasn1,
  python3-pyasn1-modules,
  python3-pytest,
