=== debian/rules ===
--- 
+++ 
@@ -4,39 +4,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 
 
-ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif
 
 # Keep track of files we don't install
 NOT_INSTALLED := \
-	usr/bin/infadd \
 	usr/bin/repl-monitor \
-	usr/bin/mmldif \
-	usr/bin/migratecred \
-	usr/bin/rsearch \
-	usr/bin/ldif \
-	usr/bin/cl-dump \
-	usr/sbin/bak2db \
-	usr/sbin/db2bak \
-	usr/sbin/db2index \
-	usr/sbin/db2ldif \
-	usr/sbin/dbmon.sh \
-	usr/sbin/dbverify \
-	usr/sbin/dn2rdn \
-	usr/sbin/ldif2db \
-	usr/sbin/ldif2ldap \
-	usr/sbin/monitor \
-	usr/sbin/restart-dirsrv \
-	usr/sbin/restoreconfig \
-	usr/sbin/saveconfig \
-	usr/sbin/start-dirsrv \
-	usr/sbin/status-dirsrv \
-	usr/sbin/stop-dirsrv \
-	usr/sbin/suffix2instance \
-	usr/sbin/upgradedb \
-	usr/sbin/upgradednformat \
-	usr/sbin/vlvindex
+	usr/bin/cl-dump
 
 REALFILE = \
 	bin/ds-logpipe.py \
@@ -52,6 +27,8 @@
 	rm -f aclocal.m4 config.* ltmain.sh m4/libtool.m4 m4/lt*.m4
 	rm -f ldap/servers/snmp/ldap-agent.conf
 	rm -rf src/lib389/build src/lib389/lib389.egg-info
+	find src/lib389/ -name '__pycache__' -exec rm -rf '{}' ';'
+	rm -f src/lib389/man/*.8
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
