## 389-ds-base 1.4.3.6

=== src/lib389/requirements.txt ===
pyasn1
pyasn1-modules
pytest
python-dateutil
six
argcomplete
argparse-manpage
python-ldap
setuptools
distro
