=== debian/control ===
--- 
+++ 
@@ -39,10 +39,10 @@
  python3-six,
  rsync,
  zlib1g-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
-Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base.git
-Homepage: http://directory.fedoraproject.org
+Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base
+Homepage: https://directory.fedoraproject.org
 
 Package: 389-ds
 Architecture: all
