=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
