## 389-ds-base 1.4.4.11

=== src/lib389/requirements.txt ===
pyasn1
pyasn1-modules
pytest
python-dateutil
argcomplete
argparse-manpage
python-ldap
setuptools
distro
