=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
@@ -32,12 +31,12 @@
  python3-all-dev,
  python3-argcomplete,
  python3-argparse-manpage,
+ python3-dateutil,
  python3-ldap,
  python3-packaging,
  python3-selinux,
  python3-sepolicy,
  python3-setuptools,
- python3-six,
  rsync,
  zlib1g-dev,
 Standards-Version: 4.5.0
@@ -153,7 +152,6 @@
  python3-pyasn1,
  python3-pyasn1-modules,
  python3-pytest,
- python3-six,
 Conflicts: python-lib389 (<< 1.3.7.8),
  389-ds-base (<< 1.4.0.18-1~),
 Replaces: python-lib389 (<< 1.3.7.8),
@@ -174,6 +172,7 @@
  libjs-jquery-datatables-extensions,
  libjs-jquery-jstree,
  libjs-moment,
+ libnss3-tools,
  python3,
  python3-lib389,
 Description: Cockpit user interface for 389 Directory Server
