=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,6 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
 endif
-
-# Keep track of files we don't install
-NOT_INSTALLED := \
-	usr/bin/repl-monitor \
-	usr/bin/cl-dump
 
 REALFILE = \
 	bin/ds-logpipe.py \
@@ -61,10 +56,6 @@
 	# purge .la files
 	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
 
-	# Also get rid of other files which aren't installed. Do not
-	# use -f to ensure we notice disappearing files:
-	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
-
 	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants
 
 	# fix the manpage section, argparse-manpage hardcodes it as 1
@@ -72,11 +63,6 @@
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dscreate.8
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsctl.8
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsidm.8
-
-	# clean up perl cruft
-	mv debian/tmp/usr/sbin/setup-ds.pl debian/tmp/usr/share/dirsrv
-	rm -f debian/tmp/usr/bin/*.pl debian/tmp/usr/sbin/*.pl
-	rm -rf debian/tmp/usr/share/dirsrv/script-templates/
 
 	dh_install
