## 389-ds-base 2.0.15

=== debian/changelog ===
389-ds-base (2.0.15-1ubuntu2) jammy; urgency=medium

  * Make the previous fix conditional (exclude riscv64 due to missing
    binary dependencies). (LP: #2008441)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Wed, 18 Jun 2025 18:08:01 +0200

389-ds-base (2.0.15-1ubuntu1) jammy; urgency=medium

  * Update debian/rules to generate missing cockpit-389-ds plugin files
    - cached npm dependencies as 389-ds-base_2.0.15.orig-npm-cache.tar.gz
    - d/p/lp2008441-offline-npm-deps.patch
    (LP: #2008441)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Mon, 12 May 2025 14:47:13 +0200

389-ds-base (2.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Apr 2022 14:11:20 +0300

389-ds-base (2.0.14-1) unstable; urgency=medium

  * New upstream release.
  * install: Updated.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Feb 2022 20:00:45 +0200

389-ds-base (2.0.11-2) unstable; urgency=medium

  * Revert a commit that makes dscreate to fail.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Dec 2021 23:23:15 +0200

389-ds-base (2.0.11-1) unstable; urgency=medium

  * New upstream release.
  * missing-sources: Removed, all the minified javascript files were
    removed upstream some time ago.
  * install: Updated.
  * control: Bump debhelper to 13.
  * Override some lintian errors.
  * watch: Update the url.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 15 Dec 2021 21:03:20 +0200

389-ds-base (1.4.4.17-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2021-3652 (Closes: #991405)
  * tests: Add isolation-container to restrictions.
  * Add a dependency to libjemalloc2, and add a symlink to it so the
    preload works. (Closes: #992696)
  * CVE-2017-15135.patch: Dropped, fixed by upstream issue #4817.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Oct 2021 18:36:30 +0300

389-ds-base (1.4.4.16-1) unstable; urgency=medium

  * New upstream release.
  * fix-s390x-failure.diff: Dropped, upstream.
  * watch: Updated to use github.
  * copyright: Fix 'globbing-patterns-out-of-order'.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:54:52 +0300
