=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  doxygen,
  libbz2-dev,
@@ -27,6 +28,7 @@
  libsnmp-dev,
  libssl-dev,
  libsystemd-dev,
+ npm [!riscv64],
  pkg-config,
  python3-all-dev,
  python3-argcomplete,
@@ -39,7 +41,7 @@
  python3-setuptools,
  rsync,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
 Vcs-Browser: https://salsa.debian.org/freeipa-team/389-ds-base
 Homepage: https://directory.fedoraproject.org
@@ -63,7 +65,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ libjemalloc2,
 Breaks: 389-ds-base (<< 1.3.6.7-5),
  389-ds-base-dev (<< 1.3.6.7-4),
  libsvrcore0,
