=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
-
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
@@ -40,6 +39,9 @@
 
 override_dh_auto_build:
 	(cd src/lib389 && python3 setup.py build)
+ifneq ($(DEB_HOST_ARCH),riscv64)
+	(cd src/cockpit/389-console && SKIP_AUDIT_CI=1 make -f node_modules.mk install build-cockpit-plugin)
+endif
 	dh_auto_build
 
 override_dh_auto_install:
@@ -64,6 +66,11 @@
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsctl.8
 	sed -i  "1s/\"1\"/\"8\"/" debian/tmp/usr/share/man/man8/dsidm.8
 
+	# link to jemalloc
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/dirsrv/lib/
+	ln -s /usr/lib/$(DEB_BUILD_MULTIARCH)/libjemalloc.so.2 \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/dirsrv/lib/
+
 	dh_install
 
 override_dh_missing:
