=== debian/watch ===
#git=https://github.com/389ds/389-ds-base
version=3
https://github.com/389ds/389-ds-base/tags/ (?:.*?/)?389-ds-base-@ANY_VERSION@\.tar\.gz
