=== dirsrvtests/requirements.txt ===
pytest
pytest-libfaketime
slugify
