=== debian/changelog ===
389-ds-base (2.3.1+dfsg1-1+deb12u1) bookworm; urgency=high

  * Non-maintainer upload.
  * Apply security patches from the upstream:
    - CVE-2024-2199 and CVE-2024-8445: Crash when modifying userPassword
      using malformed input (Closes: #1072531, #1082852).
    - CVE-2024-5953: Denial of service while attempting to log in with
      a user with a malformed hash in their password.
    - CVE-2024-3657: Failure on the directory server with specially-crafted
      LDAP query leading to denial of service.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 16 Jan 2025 17:16:37 +0100

389-ds-base (2.3.1+dfsg1-1) unstable; urgency=medium

  * Repackage the source, filter vendored crates and allow building with
    packaged crates.
  * d/vendor: Add concread 0.2.21 and uuid 0.8.
  * allow-newer-crates.diff, control: Add a bunch of rust crates to
    build-deps, and patch toml files to allow newer crates.
  * concread: Mark tcache as non-default, fix checksums and ease a dep.
  * Update copyright for vendored bits.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Jan 2023 13:21:19 +0200

389-ds-base (2.3.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1028177)
    - CVE-2022-1949 (Closes: #1016446)
    - CVE-2022-2850 (Closes: #1018054)
  * watch: Updated to use releases instead of tags.
  * control: Add liblmdb-dev to build-depends.
  * control: Add libjson-c-dev to build-depends.
  * control: Build-depend on libpcre2-dev. (Closes: #1000017)
  * Build with rust enabled.
  * rules: Don't use a separate builddir for now.
  * 5610-fix-linking.diff: Fix linking libslapd.so.
  * dont-run-rpm.diff: Use dpkg-query to check for cockpit/firewalld.
    (Closes: #1010136)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Jan 2023 23:15:49 +0200
