=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
+ cargo,
  debhelper-compat (= 13),
+ dh-cargo,
  dh-python,
  doxygen,
  libbz2-dev,
@@ -15,20 +16,34 @@
  libdb-dev,
  libevent-dev,
  libicu-dev,
+ libjson-c-dev,
  libkrb5-dev,
  libldap2-dev (>= 2.4.28),
+ liblmdb-dev,
  libltdl-dev,
  libnspr4-dev,
  libnss3-dev,
  libpam0g-dev,
  libpci-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libperl-dev,
+ librust-base64-dev,
+ librust-cbindgen-dev,
+ librust-cc-dev,
+ librust-crossbeam-dev,
+ librust-fernet-dev,
+ librust-jobserver-dev,
+ librust-lru-dev,
+ librust-openssl-dev,
+ librust-parking-lot-dev,
+ librust-paste-dev,
+ librust-rand-dev,
+ librust-smallvec-dev,
+ librust-tokio-dev,
  libsasl2-dev,
  libsnmp-dev,
  libssl-dev,
  libsystemd-dev,
- npm [!riscv64],
  pkg-config,
  python3-all-dev,
  python3-argcomplete,
@@ -40,6 +55,7 @@
  python3-sepolicy,
  python3-setuptools,
  rsync,
+ rustc,
  zlib1g-dev,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
