=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
+
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
   export DEB_LDFLAGS_MAINT_APPEND=-latomic
@@ -14,7 +15,7 @@
 	share/man/man1/logconv.pl.1 \
 
 %:
-	dh $@ --with python3 --builddir build/
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -35,13 +36,15 @@
 		--enable-autobind \
 		--enable-cmocka \
 		--enable-icu \
-		--enable-perl
+		--enable-perl \
+		--enable-rust \
+		--enable-rust-offline
+
+	(cd debian/vendor && for i in `ls /usr/share/cargo/registry`; do \
+	  ln -s /usr/share/cargo/registry/$$i .; done)
 
 override_dh_auto_build:
 	(cd src/lib389 && python3 setup.py build)
-ifneq ($(DEB_HOST_ARCH),riscv64)
-	(cd src/cockpit/389-console && SKIP_AUDIT_CI=1 make -f node_modules.mk install build-cockpit-plugin)
-endif
 	dh_auto_build
 
 override_dh_auto_install:
